# -*- coding: ISO-8859-1 -*-
# Copyright (C) 2004-2005 Luis Belmar-Letelier <luis@itaapy.com>
#               2005 Alexandre Fernandez <alex@itaapy.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


# Import from ikaaro
from Products.ikaaro.Root import Root as ikaaroRoot
from Products.ikaaro.Folder import Folder as ikaaroFolder
from Products.ikaaro.Text import HTML as ikaaroHTML


class Root(ikaaroRoot):

    class_id = 'Portal'
    class_title = u'Portal'
    class_version = '20050125'


    def get_document_types(self):
         return [PortalFolder]



class PortalFolder(ikaaroFolder):

    class_id = 'PortalFolder'
    class_title = u'Our Portal Folder'
    class_description = u'Here the description of our Portal Folder'
    class_version = '20041106'
    class_icon48 = 'portal/images/Folder48.png'
    class_icon16 = 'portal/images/Folder16.png'


    def get_document_types(self):
         return [Document, PortalFolder]


ikaaroFolder.register_handler_class(PortalFolder)



class Document(ikaaroHTML):

    class_id = 'Document'
    class_title = u'Our Document'
    class_description = u'Here the description of our special Document Type'
    class_version = '20041106'
    class_icon48 = 'portal/images/Document48.png'
    class_icon16 = 'portal/images/Document16.png'


ikaaroHTML.register_handler_class(Document)
